SwordCollider = {}
SwordCollider.__index = SwordCollider

function SwordCollider:Create(me)
	SetPower(me,1)
end

function SwordCollider:Update(me)

	if GetLifetime(me) == 0
	then
		SetHealth(me,0)
	end
	
end

function SwordCollider:Collide(me,you)
	x,y = GetPosition(you)
	y = y - 32
	CreateEmitter("Null", x,y)
end

function SwordCollider:CollideWorld(me)
	CreateEmitter("Null",GetPosition(me))
end